Advertisement

There's no such thing as a stupid question, but they're the easiest to answer.
Login
Search

Advertisement

Earlier Versions of Windows Earlier Versions of Windows
Search Search
Search for:
Tech Support Guy > > >

Error when printing with win 98: SPOOL32 caused an invalid page fault in


(!)

MotoMan's Avatar
MotoMan MotoMan is offline
Member with 47 posts.
THREAD STARTER
 
Join Date: Aug 2003
Location: Howe, Indiana
07-Apr-2005, 01:03 PM #1
Error when printing with win 98: SPOOL32 caused an invalid page fault in
Here is the error message:

SPOOL32 caused an invalid page fault in
module KERNEL32.DLL at 017f:bff7b9a6.
Registers:
EAX=00000000 CS=017f EIP=bff7b9a6 EFLGS=00000246
EBX=82a1f650 SS=0187 ESP=0086fef0 EBP=0086ff10
ECX=c16aca00 DS=0187 ESI=82a1f8f0 FS=1b87
EDX=bffc9490 ES=0187 EDI=82a1f848 GS=0000
Bytes at CS:EIP:
ff 76 04 e8 13 89 ff ff 5e c2 04 00 56 8b 74 24
Stack dump:
82a1f824 7fabc393 82a1f8f0 82a1f824 00000000 82a1f650 82a1f650 00000000 0086ff74 7fab237a 82a1f824 82a1f654 00510b00 82a1f650 7fab228d 82a1f824

I have fixed this before on other computers here at the office by dowloading a windows ME .dll file and replacing the one on the current machine, but unfortunatly, I seam to have lost the intstructions, and the file to do it with.

Any help guys??? Please?
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
07-Apr-2005, 03:02 PM #2
Is this what you're looking for?

How to install SPOOLSS.DLL Fix on Windows 98/98 SE:
FIRST close ALL printing Jobs (if any) AND the print Spooler (SPOOL32.EXE).
IF SPOOL32.EXE is still running [Ctrl+Alt+Del], download + install CoolKill [797 KB, freeware].
Run COOLKILL.EXE -> right-click on the CoolKill icon in Taskbar Tray -> highlight SPOOL32.EXE -> left-click on it to terminate this process.
Download + install SPOOLME.EXE.
Restart Windows.

If it is, you can access the SPOOLME.EXE download by going to this site, scrolling down to the Windows 98/98 SE + DOS 7 header, clicking the 98SE Updates link, then scrolling down to the Microsoft Windows 98/98 SE SPOOLSS.DLL build 4.90.3000 Fix from Windows ME - 90 KB, English link.
MotoMan's Avatar
MotoMan MotoMan is offline
Member with 47 posts.
THREAD STARTER
 
Join Date: Aug 2003
Location: Howe, Indiana
07-Apr-2005, 03:40 PM #3
Yep, that was it bro!!

Thanks a ton man, I couldn't find that anywhere.
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
07-Apr-2005, 03:59 PM #4
You're welcome.

I'm not familiar with CoolKill or what it does, but I don't see why the Windows ME 4.90.3000 version of SPOOLSS.DLL just can't be installed over the Windows 98SE 4.10.2223 version without running CoolKill first.
Bob Cerelli's Avatar
Member with 22,468 posts.
 
Join Date: Nov 2002
07-Apr-2005, 04:06 PM #5
What I've done, rather than trying to kill the process, is just boot to DOS and copy the new SPOOLSS.DLL file.

A slightly newer version (4.10.0.2223) can also be downloaded at:
http://ftp.isu.edu.tw/pub/CPatch/msu...250514usa8.exe

Just extract the executable to a directory
Boot to DOS
Copy the dll file
Reboot
__________________
Bob Cerelli
http://www.onecomputerguy.com
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
07-Apr-2005, 04:09 PM #6
Thanks, Bob.

I get most of my Windows 98SE updates and hotfixes from the AXCEL site and currently have version 4.10.2223 of SPOOLSS.DLL installed.
Bob Cerelli's Avatar
Member with 22,468 posts.
 
Join Date: Nov 2002
07-Apr-2005, 04:37 PM #7
flavallee,

Is there a reason you previously suggested using "Microsoft Windows 98/98 SE SPOOLSS.DLL build 4.90.3000 Fix from Windows ME" instead?

That's the main reason I posted the link to a newer version.
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
08-Apr-2005, 04:33 AM #8
Bob:

I didn't recommend it. He was looking for it and I knew it was posted in the AXCEL site.

The KB250514 SPOOLSS.DLL 4.10.2223 update that you posted a link to is the one that I currently have installed and which I obtained from the AXCEL site. I haven't installed the 4.90.3000 version of it - unless you think I should.
Bob Cerelli's Avatar
Member with 22,468 posts.
 
Join Date: Nov 2002
08-Apr-2005, 08:06 AM #9
Quote:
Originally Posted by flavallee
Windows 98/98 SE + DOS 7 header, clicking the 98SE Updates link, then scrolling down to the Microsoft Windows 98/98 SE SPOOLSS.DLL build 4.90.3000 Fix from Windows ME - 90 KB, English link.
Guess from this and no mention of the newer version it was a bit unclear.
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
08-Apr-2005, 08:53 AM #10
Do you recommend sticking with the 4.10.2223 version or getting the 4.90.3000 version of SPOOLSS.DLL?
Bob Cerelli's Avatar
Member with 22,468 posts.
 
Join Date: Nov 2002
08-Apr-2005, 08:56 AM #11
If the latest version is working I'm not sure why you would want to change.
flavallee's Avatar
flavallee   (Frank) flavallee is offline flavallee is a Trusted Advisor with special permissions. flavallee has a Profile Picture
Computer Specs
Trusted Advisor with 57,937 posts.
 
Join Date: May 2002
Location: Hillsborough county, Florida
Experience: Advanced
08-Apr-2005, 08:58 AM #12
I value your advice, so I was just asking. I'll stick with 4.10.2223 for now.
Bob Cerelli's Avatar
Member with 22,468 posts.
 
Join Date: Nov 2002
08-Apr-2005, 09:03 AM #13
Actually the confusion came mostly since there was that very first reply mentioning an earlier version where you mentioned:

"Microsoft Windows 98/98 SE SPOOLSS.DLL build 4.90.3000 Fix from Windows ME" and then a few posts later the newer version.

If you check back, none of my posts ever recommended using the earlier version at all.
As Seen On

BBC, Reader's Digest, PC Magazine, Today Show, Money Magazine
WELCOME TO TECH SUPPORT GUY!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.


(clock)
THIS THREAD HAS EXPIRED.
Are you having the same problem? We have volunteers ready to answer your question, but first you'll have to join for free. Need help getting started? Check out our Welcome Guide.

Search Tech Support Guy

Find the solution to your
computer problem!




Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools


WELCOME
You Are Using: Server ID
Trusted Website Back to the Top ↑